Subject: Impact of "Network Management Datastore Architecture" (NMDA) on ietf-key-chain

From: "Acee Lindem (acee)" <[email-masked]>
Date: Mon, 17 Apr 2017 17:44:16 +0000

For those who are not following the draft or discussion, I’m referring to https://www.ietf.org/id/draft-ietf-netmod-revised-datastores-01.txt

After numerous meetings on the NMDA, I would assert that the ietf-key-chain model is in the category which can go directly to NMDA without any migration. I base this on the fact that given that key-chains are merely a database of lists of keys that can be updated immediately, there should be little difference between the ‘running’ and ‘intended’ datastores. Note that this is consistent with the ACL model: https://www.ietf.org/id/draft-ietf-netmod-acl-model-10.txt

Does anyone disagree with this assertion?

Thanks,
Acee